### Name: eba
### Title: Elimination-By-Aspects (EBA) Models
### Aliases: OptiPt eba summary.eba print.summary.eba print.eba L
###   L.constrained
### Keywords: models

### ** Examples

data(celebrities)  # absolute choice frequencies
A <- list(c(1,10), c(2,10), c(3,10), c(4,11), c(5,11), c(6,11),
          c(7,12), c(8,12), c(9,12))  # the structure of aspects
eba1 <- eba(celebrities, A)  # fit a preference tree

summary(eba1)  # goodness of fit
plot(eba1)  # residuals versus predicted values

ci <- 1.96 * sqrt(diag(cov.u(eba1)))  # 95% CI for the preference scale values
a <- barplot(eba1$u, ylim = c(0, .35))  # plot the scale
arrows(a, eba1$u-ci, a, eba1$u+ci, .05, 90, 3)  # error bars



